Create customer
Creates a customer for the authenticated user.
POST
/v1/customersAuthorization
AuthorizationBearer token (JWT) · headerrequiredRequest body
requiredapplication/jsonnamestringrequiredmin length 1 · max length 120
phonestringrequiredmatches ^\+?[0-9()\s-]{7,20}$
channelsstring[]requiredmin items 1
Responses
201Customer created successfully.
idstringrequirednamestringrequiredmin length 1 · max length 120
phonestringrequiredmatches ^\+?[0-9()\s-]{7,20}$
channelsstring[]requiredmin items 1
Request
curl -X POST "https://api.hackathon.space/v1/customers" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"phone": "string",
"channels": [
"telegram"
]
}'const response = await fetch("https://api.hackathon.space/v1/customers", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "string",
"phone": "string",
"channels": [
"telegram"
]
})
});import requests
response = requests.post(
"https://api.hackathon.space/v1/customers",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"name": "string",
"phone": "string",
"channels": [
"telegram"
]
},
)Response
{
"id": "cus_123",
"name": "Jane Doe",
"phone": "+60123456789",
"channels": [
"telegram",
"twilio-sms"
]
}